import { ThreeScene } from "./threejsScene";
import { SceneHolder } from "./sceneHolder";
import React, { forwardRef, useImperativeHandle, useRef, useEffect, Suspense, useState, memo } from 'react';

export const MultiScene = forwardRef((props, ref) => {

    const threeSceneRefs = useRef([]);
    const [comparisonVisibility,setcomparisonVisibility] = useState(false);

    useImperativeHandle(ref, () => ({
        setVisibility:  (status) => {
            setcomparisonVisibility(status)
        },
        playAnimation : (type,status) =>
        {
            threeSceneRefs.current.forEach((func, index) => {
                func(type,status);
            });
        }
    }));

    const callback = (index, func)=> {
        threeSceneRefs.current[index] = func;
    }


    return (
        <>
            {comparisonVisibility && (
                <div className="absolute w-full top-0 left-0 grid grid-cols-2 gap-4 h-full z-[10000000]">
                    {SceneHolder.sceneList.length > 0 &&
                        SceneHolder.sceneList.map((item, index) => {

                            return (
                                <div key={index} className="flex-1 bg-yellow-500">
                                    <ThreeScene
                                    index={index}
                                    callback={callback}
                                        sceneObj={item}
                                    />
                                </div>
                            );
                        })}
                </div>
            )}
        </>
    );
});