import React from 'react';
import nextImg from "../../../../assets/images/Visualizers-images/arrow_next_circle.png";
import downloadImg from "../../../../assets/images/Visualizers-images/hamburger_menu_pdf.svg";
import CloseIcon from '../../../../assets/images/Visualizers-images/close-icon.svg'
import './step-nav.scss';

const StepNav = ({
  next,
  back,
  prev,
  nextBtnLabel,
  prevBtnLabel,
  nextNavImg = nextImg,
  isNextShow,
  isSharedProject,
  backBtn = false,
  isRoomInMyHouseBtn
}) => {
  return (
    <>
     <div className='close-popup'>
        <div onClick={prev}>
          <img src={CloseIcon} alt='icon' />
        </div>
      </div>

      <div className='nav-head-wrapper'>
        <div className="head-nav-next">
            {isNextShow && (
              <>
                {
                  (isSharedProject || isRoomInMyHouseBtn) ? (
                    <span>{nextBtnLabel}</span>
                  ): 
                  (
                  <label className='btn-clear' onClick={next}>
                    <img src={nextBtnLabel === 'Product Sheet' ? downloadImg : nextNavImg } alt='icon' />
                    <span>{nextBtnLabel}</span>
                  </label>
                  )
                }
              
              </>
            )}
            </div>
            <div className="head-nav-back">
                {backBtn &&
                  <label className='btn-clear back-button' onClick={back}>
                    <img src={nextNavImg} alt='icon' />
                    <span>Back</span>
                  </label>
                }
                </div>
      </div>
    </>
  )
}

export default StepNav
