import React from 'react'
import { useSelector } from 'react-redux'

import DwnImg from '@assets/images/Visualizers-images/hamburger_menu_download.png'
import ShareImg from '@assets/images/Visualizers-images/hamburger_menu_share.png'

import './room-menu-info.scss'

function RoomMenuInfo ({ productName, openShareProject }) {
  const savedSceneDetails = useSelector((state) => state.savedScene);
  const downloadImage = () => {
    savedSceneDetails.currentScene.saveAsImage(productName)
  }
  const styleCursorPointer = {
    cursor: 'pointer'
  }
  return (
    <>
      <div className='room-menu-info'>
        <div className='text-aside'>
          <i className='dwn-head' onClick={downloadImage} style={styleCursorPointer} >
            <img className='img-menuinfo' src={DwnImg} alt='' />
           <span>Download Your Project</span> 
          </i>
          <i
            style={styleCursorPointer}
            className='menu-share'
            onClick={openShareProject}
          >
            <img className='img-menuinfo' src={ShareImg} alt='' />
          <span>Share Your Project</span>  
          </i>
        </div>
      </div>
    </>
  )
}
export default RoomMenuInfo
