import React from 'react'
import Modal from 'react-bootstrap/Modal'

import './startOver.scss'

const StartOver = ({ takeBack, startOver, isShow }) => {

// function StartOver (props) {
  // const { takeBack, startOver, isShow } = props

  const startStyle = ['StartOver', isShow && 'showStart'].join(' ')

  return (
    <>
      <div className={startStyle}>
        <Modal className='start-aside' show={isShow} size='lg'>
          <Modal.Body>
            <div className='start-over-panel'>
              <div className='main-menu-title'>Are you sure?</div>
              <div className='menu_button_box_warning_text'>
                <p>
                  Your room is saved on your device temporarily, in case you
                  want to work on it later.
               
                  <span className='text_graber_favourites'>
                    Consider saving it in your Graber account "My Favorites" to
                    keep it safe and access it from other devices.
                  </span>
                </p>
                <div className='save-to-favourites text_graber_favourites'>
                  <a
                    href={{ javascript: void 0 }}
                    className='start-over-download-img'
                  >
                    <img
                      className='recolour-icons'
                      alt=''
                      src='https://visualization.graberblinds.com/assets/graphics/main_save.svg'
                    />
                    Save To My Favorites
                  </a>
                </div>
                <div className='start-over-buttons'>
                  <button className='btn btn-color' onClick={takeBack}>
                    Take me back
                  </button>

                  <button className='btn btn-color' onClick={startOver}>
                    Start over
                  </button>
                </div>
              </div>
            </div>
          </Modal.Body>
        </Modal>
      </div>
    </>
  )
}

export default StartOver
