import React, { createContext, useContext, useState } from 'react';

const LoaderContext = createContext();

export const useLoader = () => useContext(LoaderContext);

export const LoaderProvider = ({ children }) => {
  const [loaderConfig, setLoaderConfig] = useState(null);
  const [isLoading, setIsLoading] = useState(false);

  const showLoader = (params) => {
    setLoaderConfig(params);
    setIsLoading(true)
  };

  const hideLoader = () => {
    setLoaderConfig(null);
    setIsLoading(false)
  };

  return (
    <LoaderContext.Provider value={{ isLoading, loaderConfig, showLoader, hideLoader }}>
      {children}
    </LoaderContext.Provider>
  );
};
